Re: [gDesklets] 0.35 series -- my 2 cents (and much more)

Hi folks,

2007/6/21, Christian Meyer <christian meyer gmail com>:

ok, thanks, will try it this evening if there's time.

gonna do that right now, since I wasn't able to do that.

I noticed, that 0.35.x isn't working with the new libraries (gtk2.12,
glib2.14). I get the following error:

/usr/lib/gdesklets/display/ Warning: invalid unclassed pointer
cast to `GtkObject'
 callback = self.__handle_configure),
/usr/lib/gdesklets/display/ Warning: instance with invalid
class pointer
 callback = self.__handle_configure),
/usr/lib/gdesklets/display/ Warning:
g_signal_handlers_destroy: as
sertion `G_TYPE_CHECK_INSTANCE (instance)' failed
 callback = self.__handle_configure),

That's really bad and needs to be fixed.
I suggest that we build a team of 2 or 3 people who will look into it and
try to fix it. Of course you will need knowledge about (py)gtk+ and python.
I could happily assist in solving the problem. It's important and should be
fixed for 0.35.5.



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]